Subject: Architectural Graduate Schools?

From: [email-masked] (RRWetzel)
Date: 28 May 1995 15:54:31 -0400

I'm a recent architectural graduate working for a large national A/E firm.
 I'm looking to jump into graduate school to study any (or all, if
possible) of the following:  architectural design, architectural
theory/history, general history, philosophy, social sciences, literature,
language, etc.  

I've done tons of research on schools, but it's hard to get a real look
through campus brochures and catalogs.  Can anyone give me info on the
programs they're in or have attended (special interests, joint curricula
with liberal arts, etc.)  I'd love any info I could get...